List MCP servers
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/mcp \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/mcp"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/mcp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{controlPlaneURL}/api/svc/v1/mcp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{controlPlaneURL}/api/svc/v1/mcp"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{controlPlaneURL}/api/svc/v1/mcp")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{controlPlaneURL}/api/svc/v1/mcp")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"fqn": "my-tenant:mcp-server:filesystem-tools",
"tenantName": "<string>",
"manifest": {
"type": "mcp-server/remote",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"display_name": "<string>",
"tls_settings": {
"reject_unauthorized": true,
"ca_cert": "<string>"
},
"tool_settings": [
{
"name": "<string>",
"description": "<string>",
"disabled": true,
"annotations": {
"readOnlyHint": true,
"destructiveHint": true
}
}
],
"tool_policy": {
"enable_tools_by_default": true,
"disabled_tools": [
"<string>"
],
"enabled_tools": [
"<string>"
]
},
"tool_metadata": {},
"auth_data": {
"type": "header",
"headers": {},
"auth_level": "global"
},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"ownedBy": {
"account": "<string>"
},
"additional_headers": {},
"forwarded_headers": [
"<string>"
],
"tags": {}
},
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"proxyUrl": "<string>",
"isAuthOverrideSupported": true,
"authStatus": {
"status": "authenticated",
"method": "oauth",
"expiresAt": "2026-10-01T12:40:00.000Z",
"isRefreshable": true,
"lastUpdatedAt": "2026-10-01T11:40:00.000Z",
"refreshFailureCount": 0,
"refreshFailureMessage": "invalid_grant: refresh token expired"
}
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}MCP Servers V2
List MCP servers
Returns a paginated list of MCP servers in the caller’s tenant.
GET
/
api
/
svc
/
v1
/
mcp
List MCP servers
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/mcp \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/mcp"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/mcp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{controlPlaneURL}/api/svc/v1/mcp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{controlPlaneURL}/api/svc/v1/mcp"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{controlPlaneURL}/api/svc/v1/mcp")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{controlPlaneURL}/api/svc/v1/mcp")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"fqn": "my-tenant:mcp-server:filesystem-tools",
"tenantName": "<string>",
"manifest": {
"type": "mcp-server/remote",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"display_name": "<string>",
"tls_settings": {
"reject_unauthorized": true,
"ca_cert": "<string>"
},
"tool_settings": [
{
"name": "<string>",
"description": "<string>",
"disabled": true,
"annotations": {
"readOnlyHint": true,
"destructiveHint": true
}
}
],
"tool_policy": {
"enable_tools_by_default": true,
"disabled_tools": [
"<string>"
],
"enabled_tools": [
"<string>"
]
},
"tool_metadata": {},
"auth_data": {
"type": "header",
"headers": {},
"auth_level": "global"
},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"ownedBy": {
"account": "<string>"
},
"additional_headers": {},
"forwarded_headers": [
"<string>"
],
"tags": {}
},
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"proxyUrl": "<string>",
"isAuthOverrideSupported": true,
"authStatus": {
"status": "authenticated",
"method": "oauth",
"expiresAt": "2026-10-01T12:40:00.000Z",
"isRefreshable": true,
"lastUpdatedAt": "2026-10-01T11:40:00.000Z",
"refreshFailureCount": 0,
"refreshFailureMessage": "invalid_grant: refresh token expired"
}
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Authorizations
Query Parameters
Comma-separated connection states to keep. connected covers servers that are authenticated or need no authentication, connection_required covers servers awaiting authentication. Servers with no resolved status count as connected. Cannot be combined with attributes.
Available options:
connected, connection_required Was this page helpful?